# $Revision: 1.4 $, $Date: 2004/04/05 17:07:13 $

Summary:	ProSilla - a program which accelerates file transfers over ssh
Summary(pl):	ProSilla - program przyspieszajcy pobieranie duych plikw przez ssh
Name:		prosilla
Version:	1.2
Release:	2
Epoch:		1
License:	GPL
Group:		Applications/Networking
Source0:	http://www.v-lo.krakow.pl/~anszom/%{name}/%{name}-%{version}.tgz
# Source0-md5:	a22c90786122ea1ab6cfd3807001d23e
Patch0: 	%{name}-no-gtk.patch
URL:		http://www.v-lo.krakow.pl/~anszom/prosilla/
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
Obsoletes:	prosilla-gtk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ProSilla is a program which accelerates file transfers over ssh by
opening multiple connections just like other download accelerators.
The only difference is that proSilla uses ssh instead of http/ftp for
download. Of course you must have a shell account on the remote server
to use this program.

%description -l pl
ProSilla to program przyspieszajcy pobieranie duych plikw poprzez
otwieranie wielu pocze na raz (tak jak inne "przyspieszacze").
Jedyn rnic jest to, e proSilla uywa ssh zamiast http/ftp do
cigania. Oczywicie w zwizku z tym trzeba mie konto shellowe na
docelowym serwerze eby skorzysta z tego programu.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -DVERSION='\$(VERSION)' -I/usr/include/ncurses" \
	LDFLAGS="%{rpmldflags} -lutil -lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DSTDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prosilla.spec,v $
Revision 1.4  2004/04/05 17:07:13  jm
- Gtk version was moved to prosilla-gtk.spec

Revision 1.3  2004/03/08 18:07:27  jm
- it could be also build without gtk interface - added %bcond

Revision 1.2  2004/02/26 14:51:16  qboosh
- pl fixes, use optflags, fixed build (ncurses includes)

Revision 1.1  2004/02/26 14:10:12  jm
- initial version
